patch for kernel 4.10
[packages/xorg-driver-video-nvidia.git] / linux-4.1-and-older.patch
CommitLineData
4ab31d9e
JR
1--- NVIDIA-Linux-x86_64-375.20-no-compat32/kernel/nvidia-drm/nvidia-drm-connector.c~ 2016-11-16 00:44:48.000000000 +0100
2+++ NVIDIA-Linux-x86_64-375.20-no-compat32/kernel/nvidia-drm/nvidia-drm-connector.c 2016-12-05 00:09:42.798550337 +0100
3@@ -21,6 +21,7 @@
4 */
5
6 #include "conftest.h" /* NV_DRM_ATOMIC_MODESET_AVAILABLE */
7+#include <linux/version.h>
8
9 #if defined(NV_DRM_ATOMIC_MODESET_AVAILABLE)
10
11@@ -299,7 +299,12 @@
12 return count;
13 }
14
15-static int nvidia_drm_atomic_helper_connector_dpms(
16+#if (LINUX_VERSION_CODE < KERNEL_VERSION(4, 2, 0))
17+static void
18+#else
19+static int
20+#endif
21+nvidia_drm_atomic_helper_connector_dpms(
22 struct drm_connector *connector,
23 int mode)
24 {
This page took 0.070284 seconds and 4 git commands to generate.